<?php


/**
* Check for the existence of WooCommerce and any other requirements
*/
function fsw_slider_check_requirements() {
    if ( is_plugin_active( 'woocommerce/woocommerce.php' ) ) {
        return true;
    } else {
        add_action( 'admin_notices', 'fsw_slider_wc_notice' );
        return false;
    }
}


/**
* Display a message advising WooCommerce is required
*/
function fsw_slider_wc_notice() { 
    $class = 'notice notice-error';
    $message = __( 'Woo Featured Slider requires WooCommerce to be installed and active.', 'meylex-notice' );
 
    printf( '<div class="%1$s"><p>%2$s</p></div>', esc_attr( $class ), esc_html( $message ) ); 
}